tuklib_integer.h: Fix a recent copypaste error in Clang detection.
[xz/debian.git] / po4a / update-po
blobb1cc9f53a9bc35044ef2fbfdd2bc3f071ca768d9
1 #!/bin/sh
3 #############################################################################
5 # Updates xz-man.pot and the *.po files, and generates translated man pages.
6 # These are done using the program po4a. If po4a is missing, it is still
7 # possible to build the package without translated man pages.
9 #############################################################################
11 # Author: Lasse Collin
13 # This file has been put into the public domain.
14 # You can do whatever you want with this file.
16 #############################################################################
18 if type po4a > /dev/null 2>&1; then
20 else
21 echo "po4a/update-po: The program 'po4a' was not found." >&2
22 echo "po4a/update-po: Translated man pages were not generated." >&2
23 exit 1
26 if test ! -f po4a.conf; then
27 cd `dirname "$0"` || exit 1
28 if test ! -f po4a.conf; then
29 echo "po4a/update-po: Error: Cannot find po4a.conf." >&2
30 exit 1
34 PACKAGE_VERSION=`cd .. && sh build-aux/version.sh` || exit 1
36 # Using --force to get up-to-date version numbers in the output files
37 # when nothing else has changed. This makes it slower but it's fine
38 # as long as this isn't run every time when "make" is run at the
39 # top level directory. (po4a isn't super-fast even without --force).
40 set -x
41 po4a --force --verbose \
42 --package-name="XZ Utils" \
43 --package-version="$PACKAGE_VERSION" \
44 --copyright-holder="[See the headers in the input files.]" \
45 po4a.conf